﻿//using Syncfusion.GridHelperClasses;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Collections;
using System.Linq;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.GridHelperClasses;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;


namespace DataGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.gridGroupingControl1.ShowGroupDropArea = true;
            this.gridGroupingControl1.AllowProportionalColumnSizing = true;
            this.gridGroupingControl1.TableModel.ColCount = 10;
            #region DataSource
            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 1; i < 100; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridGroupingControl1.DataSource = dataSource;
            #endregion
            this.gridGroupingControl1.TableOptions.ListBoxSelectionMode = SelectionMode.MultiExtended;

            this.gridGroupingControl1.UseDefaultsForFasterDrawing = true;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowFilterBar = true;
            this.gridGroupingControl1.ChildGroupOptions.ShowFilterBar = true;
            for(int i=0;i<this.gridGroupingControl1.TableDescriptor.Columns.Count;i++)
            {
                this.gridGroupingControl1.TableDescriptor.Columns[i].AllowFilter = true;
            }
            GridDynamicFilter filter = new GridDynamicFilter();
            filter.WireGrid(this.gridGroupingControl1);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            GridPDFConverter pdfConvertor = new GridPDFConverter();

            pdfConvertor.Exporting += pdfConvertor_Exporting;

            pdfConvertor.ExportToPdf("Sample.pdf", this.gridGroupingControl1.TableControl);
            System.Diagnostics.Process.Start("Sample.pdf");
        }

        void pdfConvertor_Exporting(object sender, PDFExportingEventArgs e)
        {
            //You can use any of the followings
            e.PdfDocument.PageSettings.Width = this.gridGroupingControl1.TableModel.ColWidths.GetTotal(0, this.gridGroupingControl1.TableModel.ColCount);

            e.PdfDocument.PageSettings.Orientation = Syncfusion.Pdf.PdfPageOrientation.Landscape; 
        }
        public DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Col1", typeof(string));
            table.Columns.Add("Col2", typeof(string));
            table.Columns.Add("Col3", typeof(string));
            table.Columns.Add("Col4", typeof(string));
            table.Columns.Add("Col5", typeof(string));
            table.Columns.Add("Col6", typeof(string));
            table.Columns.Add("Col7", typeof(string));
            table.Columns.Add("Col8", typeof(string));
            table.Columns.Add("Col9", typeof(string));
            table.Columns.Add("Col10", typeof(string));
            for (int i = 0; i < 50; i++)
            {
                DataRow row = table.NewRow();
                row["col1"] = "Col1" + i.ToString();
                row["col2"] = "Col2" + i.ToString();
                row["col3"] = "Col3" + i.ToString();
                row["col4"] = "Col4" + i.ToString();
                row["col5"] = "Col5" + i.ToString();
                row["col6"] = "Col6" + i.ToString();
                row["col7"] = "Col7" + i.ToString();
                row["col8"] = "Col8" + i.ToString();
                row["col9"] = "Col9" + i.ToString();
                row["col10"] = "Col10" + i.ToString();
                table.Rows.Add(row);
            }
            return table;
        }
    }
}
